package com.pretius.pi.app;

import com.pretius.pi.components.XmlPentahoParser;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

public class StartApp {


	public static void main(String args[]) throws InterruptedException {

		ApplicationContext context = new AnnotationConfigApplicationContext(AppConfig.class);
		XmlPentahoParser parser = context.getBean(XmlPentahoParser.class);

		String jobName = "job_main_animemgr";

		LoggerFactory.getLogger(StartApp.class).info("App started");

		String pentahoObjectId = parser.startPentahoJob(jobName);

		if (pentahoObjectId == null) {
			LoggerFactory.getLogger(StartApp.class).info("Could not start job {}", jobName);
			return;
		}

		String status = parser.getPentahoJobStatus(jobName, pentahoObjectId);
		while (XmlPentahoParser.TASK_RUNNING.equals(status)) {

			status = parser.getPentahoJobStatus(jobName, pentahoObjectId);
			Thread.sleep(100);
		}

	}
}
